# Uses of Interface
org.eclipse.emf.compare.match.IMatchEngine.Factory.Registry

Packages that use IMatchEngine.Factory.Registry
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.extension.impl
org.eclipse.emf.compare.rcp.internal.match

## Uses of IMatchEngine.Factory.Registry in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IMatchEngine.Factory.Registry
Modifier and Type
Field
Description
`protected IMatchEngine.Factory.Registry`
EMFCompare.Builder.`matchEngineFactoryRegistry`
The registry we'll use to create a match engine for this comparison.
Methods in org.eclipse.emf.compare with parameters of type IMatchEngine.Factory.Registry
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setMatchEngineFactoryRegistry(IMatchEngine.Factory.Registry mefr)`
Sets the IMatchEngine.Factory.Registry to be used to find a match engine factory to compute comparison.
Constructors in org.eclipse.emf.compare with parameters of type IMatchEngine.Factory.Registry
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IMatchEngine.Factory.Registry in org.eclipse.emf.compare.match.impl

Classes in org.eclipse.emf.compare.match.impl that implement IMatchEngine.Factory.Registry
Modifier and Type
Class
Description
`class`
`MatchEngineFactoryRegistryImpl`
The default implementation of the `IMatchEngine.Factory.Registry`.
Methods in org.eclipse.emf.compare.match.impl that return IMatchEngine.Factory.Registry
Modifier and Type
Method
Description
`static IMatchEngine.Factory.Registry`
MatchEngineFactoryRegistryImpl.`createStandaloneInstance()`
Returns a registry filled with the default match engine factory provided by EMF Compare `MatchEngineFactoryImpl`.

## Uses of IMatchEngine.Factory.Registry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return IMatchEngine.Factory.Registry
Modifier and Type
Method
Description
`IMatchEngine.Factory.Registry`
EMFCompareRCPPlugin.`getMatchEngineFactoryRegistry()`
Returns the match engine factory registry to which extension will be registered.

## Uses of IMatchEngine.Factory.Registry in org.eclipse.emf.compare.rcp.internal.extension.impl

Constructors in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type IMatchEngine.Factory.Registry
Modifier
Constructor
Description
`protected`
`EMFCompareBuilderConfigurator(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IPostProcessor.Descriptor.Registry<String> postProcessorRegistry)`
Constructor.

## Uses of IMatchEngine.Factory.Registry in org.eclipse.emf.compare.rcp.internal.match

Classes in org.eclipse.emf.compare.rcp.internal.match that implement IMatchEngine.Factory.Registry
Modifier and Type
Class
Description
`class`
`MatchEngineFactoryRegistryWrapper`
MatchEnginefactoryRegistry that wrap an IItemRegistryinvalid input: '<'IMatchEngine.Factory>.